%define upstream_name File-ShareDir-ProjectDistDir
%define upstream_version 0.5.2

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 2

Summary:	Simple set-and-forget using of a '/share' directory in your projects root
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/File/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(File::ShareDir)
BuildRequires:	perl(Module::Build) >= 0.400.500
BuildRequires:	perl(Path::Class::File)
BuildRequires:	perl(Path::IsDev)
BuildRequires:	perl(Path::FindDev)
BuildRequires:	perl(Sub::Exporter)

BuildArch:	noarch

%description
Simple set-and-forget using of a '/share' directory in your projects root.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Mon Oct 21 2013 umeabot <umeabot> 0.5.2-2.mga4
+ Revision: 537179
- Mageia 4 Mass Rebuild

* Thu Sep 26 2013 sander85 <sander85> 0.5.2-1.mga4
+ Revision: 486473
- update to 0.5.2

* Thu Sep 19 2013 guillomovitch <guillomovitch> 0.5.1-1.mga4
+ Revision: 481526
- new version 0.5.1

* Sun Sep 15 2013 sander85 <sander85> 0.4.4-1.mga4
+ Revision: 479841
- imported package perl-File-ShareDir-ProjectDistDir

